<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.wx.web.mapper.WxHomeMapper">

    <select id="selectRecCommodityByIds" resultType="com.ruoyi.wx.web.domain.vo.SaleInfoVo">
        select id, model, catalog, sale, market from rec_commodity
        where id in
        <foreach collection="ids" item="item" index="index" open="(" separator="," close=")">
            #{item}
        </foreach>
    </select>
    <select id="selectRecStoresByCommondityIds" resultType="com.ruoyi.framework.recovery.domain.RecStores">
        select distinct rs.id as id, rs.stores_name as storesName, rs.sale_type as saleType, rs.sale_time as saleTime,
                        rs.check_time as checkTime, rs.check_type as checkType, rs.buy_time as buyTime, rs.sale_link as saleLink,
                        rs.create_by as createBy, rs.create_date as createDate, rs.update_by as updateBy, rs.update_date as updateDate,
                        rs.commondity_id as commondityId, rs.stores_address as storesAddress, rs.notice as notice, rs.sale_num as saleNum,
                        rc.city as city, rs.images as images, skip_link as skipLink
        from rec_stores rs
            left join rec_city rc on rc.id = rs.city_id
        where commondity_id = #{ids}
    </select>
    <select id="selectLotteryDisplay" resultType="java.lang.String">
        select config_value from sys_config where config_key = #{key}
    </select>
</mapper>
